import'./../../external/@lit/reactive-element/reactive-element.js';import'./../../external/lit-html/lit-html.js';import'./../../external/lit-element/lit-element.js';import{css as o}from'./../../external/@lit/reactive-element/css-tag.js';var e=o`*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --kd-grid-max-width: 99rem;
}

/**
 * Copyright Kyndryl, Inc. 2023
 */
:host {
  display: block;
}

.kd-accordion .accordion-item-container {
  border-top: 1px solid var(--kd-color-border-light);
  border-bottom: 1px solid var(--kd-color-border-light);
}
.kd-accordion .accordion-item-container ::slotted(kd-accordion-item) {
  border-top: 1px solid var(--kd-color-border-light);
}
.kd-accordion .accordion-item-container ::slotted(kd-accordion-item:first-child) {
  border-top: none;
}
.kd-accordion .accordion-item-container.filled-headers {
  border: 1px solid var(--kd-color-border-light);
  border-radius: 4px;
}
.kd-accordion .accordion-item-container.filled-headers ::slotted(kd-accordion-item:first-child) {
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}
.kd-accordion .accordion-item-container.filled-headers ::slotted(kd-accordion-item:last-child) {
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}
.kd-accordion .toggle-container {
  text-align: right;
  padding: 8px 0;
  font-family: var(--kd-font-family-secondary);
  font-size: var(--kd-font-size-body-2-sm);
  line-height: var(--kd-line-height-body-2-sm);
  font-weight: var(--kd-font-weight-regular);
  letter-spacing: var(--kd-letter-spacing-4);
}
@media (min-width: 42rem) {
  .kd-accordion .toggle-container {
    font-size: var(--kd-font-size-body-2-md);
    line-height: var(--kd-line-height-body-2-md);
  }
}
@media (min-width: 74rem) {
  .kd-accordion .toggle-container {
    font-size: var(--kd-font-size-body-2-lg);
    line-height: var(--kd-line-height-body-2-lg);
  }
}
@media (min-width: 82rem) {
  .kd-accordion .toggle-container {
    font-size: var(--kd-font-size-body-2-xlg);
    line-height: var(--kd-line-height-body-2-xlg);
  }
}
@media (min-width: 99rem) {
  .kd-accordion .toggle-container {
    font-size: var(--kd-font-size-body-2-max);
    line-height: var(--kd-line-height-body-2-max);
  }
}
.kd-accordion .toggle-container a {
  color: var(--kd-color-text-primary);
  text-decoration: none;
  outline: 2px solid transparent;
  transition: outline-color 150ms ease-out;
}
.kd-accordion .toggle-container a:hover {
  text-decoration: underline;
}
.kd-accordion .toggle-container a:focus {
  outline-color: var(--kd-color-border-focus);
}`;export{e as default};
//# sourceMappingURL=accordion.scss.js.map
