import { LitElement } from 'lit';
/**
 * Wrapper for vanilla Carbon icons to simplify usage.
 * @slot unnamed - The default slot for button content.
 */
export declare class Icon extends LitElement {
    static styles: import("lit").CSSResultGroup;
    /** The imported Carbon icon. */
    icon: any;
    /** Icon fill color. */
    fill: string;
    /** Specify a size in pixels to override the imported Carbon icon's original size. */
    sizeOverride: null;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'kd-icon': Icon;
    }
}
//# sourceMappingURL=icon.d.ts.map