import'./../../external/@lit/reactive-element/reactive-element.js';import'./../../external/lit-html/lit-html.js';import'./../../external/lit-element/lit-element.js';import{css as e}from'./../../external/@lit/reactive-element/css-tag.js';var t=e`*,
*::before,
*::after {
  box-sizing: border-box;
}

:host {
  display: inline-block;
}

.kd-link-text {
  display: flex;
  position: relative;
  text-decoration: none;
  -webkit-transition: color 300ms ease-in-out;
  -moz-transition: color 300ms ease-in-out;
  -o-transition: color 300ms ease-in-out;
  transition: color 300ms ease-in-out;
}
.kd-link-text:hover ::slotted(kd-icon) {
  transform: translate(4px, 0);
}
.kd-link-text-primary {
  color: var(--kd-color-text-link);
}
.kd-link-text-primary:hover {
  color: var(--kd-color-text-link-hover);
}
.kd-link-text-primary:focus {
  color: var(--kd-color-text-tertiary);
  outline: 1px solid var(--kd-color-border-focus);
  -webkit-transition: outline 100ms ease-in-out;
  -moz-transition: outline 100ms ease-in-out;
  -o-transition: outline 100ms ease-in-out;
  transition: outline 100ms ease-in-out;
  text-decoration: none;
}
.kd-link-text-primary:active {
  color: var(--kd-color-text-pressed);
  text-decoration: underline;
  outline: none;
}
.kd-link-text-secondary {
  color: var(--kd-color-text-primary);
}
.kd-link-text-secondary:hover {
  color: var(--kd-color-text-primary-hover);
}
.kd-link-text-secondary:focus {
  outline: 1px solid var(--kd-color-border-focus);
  -webkit-transition: outline 100ms ease-in-out;
  -moz-transition: outline 100ms ease-in-out;
  -o-transition: outline 100ms ease-in-out;
  transition: outline 100ms ease-in-out;
  text-decoration: none;
}
.kd-link-text-secondary:active {
  color: var(--kd-color-text-primary-pressed);
  text-decoration: underline;
  outline: none;
}
.kd-link-text-disabled {
  cursor: not-allowed;
  color: var(--kd-color-darkstone-40);
  text-decoration: none;
  border: none;
  outline: none;
  pointer-events: none;
}
.kd-link-text-disabled:hover, .kd-link-text-disabled:focus, .kd-link-text-disabled:active, .kd-link-text-disabled:visited {
  color: var(--kd-color-darkstone-40);
  border: none;
  outline: none;
  text-decoration: none;
}
.kd-link-text-disabled:hover slot[name=icon]::slotted(*), .kd-link-text-disabled:focus slot[name=icon]::slotted(*), .kd-link-text-disabled:active slot[name=icon]::slotted(*), .kd-link-text-disabled:visited slot[name=icon]::slotted(*) {
  transform: translate(0px, 0);
}
.kd-link-text-inline {
  text-decoration: underline;
}
.kd-link-text-standalone {
  text-decoration: none;
}
.kd-link-text-standalone:hover {
  text-decoration: underline;
}
.kd-link-text-span-flex {
  display: flex;
  align-items: center;
}
.kd-link-text-span-flex slot[name=icon]::slotted(*) {
  display: inline-flex;
  align-self: center;
  margin-left: 0px;
  transition: 300ms ease-in-out;
  -moz-transition: 300ms ease-in-out;
  -o-transition: 300ms ease-in-out;
  -webkit-transition: 300ms ease-in-out;
}`;export{t as default};
//# sourceMappingURL=link.scss.js.map
